Subject: Use of pinctrl-single for external device over I2C

From: [email-masked] (Tony Lindgren)
Date: Wed, 24 Jun 2015 21:38:39 -0700

* Vaibhav Hiremath <[email-masked]> [150624 10:12]:
> 
> I do not like this, as this is not HW feature, so DT may not be right
> approach.
> 
> So I will dig more from either runtime or Compile time option to use
> regmap_ Vs raw read/writes.

Can't you just check if the pinctrl node has compatible = "syscon"
property?

A compile time option won't work for sure. I don't know what you
would check at runtime as you do not know what the bus is behind
syscon.

Regards,

Tony